Bug 39325 - en-GB offline help is not shown under en-GB locale, because LO starts with en-US instead of en-GB
Summary: en-GB offline help is not shown under en-GB locale, because LO starts with en...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 50606 60863 63637 68722 (view as bug list)
Depends on:
Blocks: Installer-Windows
  Show dependency treegraph
 
Reported: 2011-07-18 03:03 UTC by johnalovely
Modified: 2021-03-16 04:29 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description johnalovely 2011-07-18 03:03:19 UTC
Download page offers two files 
    * LibO_3.3.3_Win_x86_install_multi.exe 217 MB
    * LibO_3.3.3_Win_x86_helppack_en-GB.exe 8.5 MB (en-GB - English (GB))

Steps to create bug.
Download both files
Install both files
disconnect from internet 
Open a Libre Office program and request help
Expected behaviour
Libre Office displays requested help file
Actual Behaviour
A firefox window opens with a site not found message. 

Description of Bug
The user assumes that downloading and installing the file *LibO_3.3.3_Win_x86_helppack_en-GB.exe 8.5 MB (en-GB - English (GB))
will install the help files locally. (There is no documentation but this seems the only valid interpretation of the file name) What actually happens is nothing. There is no local help and programs still look for online help, even if there is no internet connection.
Comment 1 BrianH 2011-09-17 04:53:43 UTC
I can confirm that this is a bug with the install process on Windows on a UK locale setup.

It also applies to version 3.4.3

On Windows (tested on Vista), with a locale of UK.
Install LO and the GB helppack into default locations.

The LO install sets the User interface to English (USA). This prevents the offline GB help file from being used.

The workaround is.
Load LO and goto Tools/options/Language settings/Languages
change the User interface from 
     English (USA) 
to 
     Default - English (UK)
check that the locale is also set to 
     Deafult - English (UK)
close LO and reopen
F1 will now load the offline GB help files previously installed.
Comment 2 johnalovely 2011-09-18 19:54:14 UTC
Wrt BrianH's comment, the workaround also works in Windows XP on LO 3.3, however it is only necessary to change the User interface from 
     English (USA) 
to 
     Default - English (UK)

The locale does not need to be changed and may be left as appropriate - in my case Default - Australian (AU)
Comment 3 Andras Timar 2011-11-21 07:00:43 UTC
Changed category to Installation. It has to be tested with the new LibO 3.5 MSI installers. I.e. check what happens when the user installs LibreOffice to an en-GB Windows. It should not fallback to en-US.
Comment 4 Björn Michaelsen 2011-12-23 13:23:27 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 5 Shoreman 2012-03-30 13:57:51 UTC
The same problem with installation of en-GB - English (GB)help file remains with 3.5.

The LO installer defaults the locale to English (USA) which fails to pick up the GB help pack.

The work around described is successful.

Operating system Windows Vista SP1
Comment 6 Andras Timar 2012-06-02 10:06:30 UTC
*** Bug 50606 has been marked as a duplicate of this bug. ***
Comment 7 Pedro 2012-07-28 22:10:21 UTC
This bug has been around for a year and is still causing a lot of grief to non-US users.
See one popular topic at AskLibO
http://ask.libreoffice.org/question/1630/why-does-f1-still-take-me-to-the-web-after/
Comment 8 Andras Timar 2013-02-18 20:05:57 UTC
*** Bug 60863 has been marked as a duplicate of this bug. ***
Comment 9 Andras Timar 2013-04-17 13:53:41 UTC
*** Bug 63637 has been marked as a duplicate of this bug. ***
Comment 10 Andras Timar 2013-10-09 08:00:55 UTC
*** Bug 68722 has been marked as a duplicate of this bug. ***
Comment 11 QA Administrators 2015-04-01 14:41:39 UTC Comment hidden (obsolete)
Comment 12 johnalovely 2015-04-12 01:02:26 UTC
Bug still exists in LibreOffice 4.4.2.2 on Windows XP.
Behaviour is unchanged from original report.
Workaround in Comment 2 still required to use EN-GB Help files
Comment 13 Paul 2016-03-01 14:01:54 UTC
Bug still exists in LibreOffice 5.0.5.2 on Windows 7.
Behaviour is unchanged from original report.
Workaround in Comment 2 still required to use EN-GB Help files
Comment 14 Jeff Goodenough 2016-03-01 15:17:44 UTC
Contrary to Paul (comment #13) I haven't had this problem with en_GB local help for a long time. I am now on LibreOffice 5.0.5.2 using Windows 10 and en_GB local help worked directly from the update download and install of the two files without any problem.

-- Jeff
Comment 15 QA Administrators 2017-03-06 15:39:17 UTC Comment hidden (obsolete)
Comment 16 johnalovely 2017-03-19 09:36:51 UTC
In accordance with Comment 15, I can confirm bug still exists with exactly the same behaviour with 
LibreOffice 5.0.3.2 with OS Linux Mint 17.3 and
LibreOffice 5.2.3.3 with OS Windows 7 

It cannot  be confirmed in LibreOffice 5.3.1.2 under Linux LXLE 14.04 as Help appears to be disabled entirely in LO 5.3.1.2. (Pressing F1 or selecting menu item Help->LibreOffice Help invokes NEITHER online help NOR the installed local Help EN-GB. It is therefore not possible to determine whether the bug still exists until the new bug (NO HELP AT ALL) is resolved)

However, in LO 5.3.1.2 the workaround of manually selecting an appropriate non EN-US language does not work as LO 5.3.1.2 has only one language (English-US) available for the interface. (my LXLE machine has 4 languages installed so the issue is not with the OS)
Comment 17 QA Administrators 2018-03-20 03:35:32 UTC Comment hidden (obsolete)
Comment 18 Mike Kaganski 2019-03-16 13:38:11 UTC
What is the actual bug here?

I read comment 1 and comment 2, and I don't quite understand if they imply that installing LO on a system without any prior LO installation, or - more specifically - without existing LibreOffice user profile, and starting LibreOffice for the first time to create new profile - on en-UK locales produces a configuration where en-US is set as UI language, instead of Default - en-UK? That would be a bug; AFAIKT, creation of a new LO profile *does not* set an explicit UI language, so that the value from system is taken (that is what "Default" means: no explicit config value - take from OS).

Is it reproducible in current versions? Or are there some other steps required to have LO UI language to be set to en-US? If one sets UI to some explicit value, it's normal that relevant help files would be required (en-US help for en-US UI); but if the setting is set "automatically", then it's important to understand under what reproducible circumstances does that happen.
Comment 19 QA Administrators 2021-03-16 04:29:21 UTC
Dear johnalovely,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug